confint                package:stats                R Documentation

Confidence Intervals for Model Parameters

Description:

     Computes confidence intervals for one or more parameters in a
     fitted model.  Base has a method for objects inheriting from class
     '"lm"'.

Usage:

     confint(object, parm, level = 0.95, ...)

Arguments:

  object: a fitted model object. 

    parm: a specification of which parameters are to be given
          confidence intervals, either a vector of numbers or a vector
          of names. If missing, all parameters are considered. 

   level: the confidence level required. 

     ...: additional argument(s) for methods 

Details:

     'confint' is a generic function with no default method. For
     objects of class '"lm"' the direct formulae based on t values are
     used.

     Package 'MASS' contains methods for '"glm"' and '"nls"' objects.

Value:

     A matrix (or vector) with columns giving lower and upper
     confidence limits for each parameter. These will be labelled as
     (1-level)/2 and 1 - (1-level)/2 in % (by default 2.5% and 97.5%).

See Also:

     'confint.nls'

Examples:

     data(mtcars)
     fit <- lm(100/mpg ~ disp + hp + wt + am, data=mtcars)
     confint(fit)
     confint(fit, "wt")

